import { BasicColumn, FormSchema } from '@/components/Table';

export const columns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'name',
    width: 120,
  },
  {
    title: '类型',
    dataIndex: 'category',
    width: 120,
  },
  {
    title: '拥有者',
    dataIndex: 'owner',
    width: 120,
  },
  {
    title: '创建时间',
    dataIndex: 'createDate',
    width: 140,
  },
];
export const SearchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '名称',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'isKinship',
    component: 'Checkbox',
    label: '仅看血缘对象',
    colProps: { span: 8 },
    labelWidth: 120,
  },
];
export const storageManagementColumns: BasicColumn[] = [
  {
    title: '清理开始时间',
    dataIndex: 'startTime',
    width: 120,
  },
  {
    title: '清理结束时间',
    dataIndex: 'endTime',
    width: 120,
  },
  {
    title: '执行耗时',
    dataIndex: 'useTime',
    width: 80,
  },
];
export const storageManagementFormSchema: FormSchema[] = [
  {
    field: 'keyword',
    label: '',
    component: 'Input',
    componentProps: {
      placeholder: '请输入关键字搜索',
    },
    colProps: { lg: 4, md: 4 },
  },
];
export const storageManagementData: any[] = [
  {
    id: '1',
    startTime: '2024-10-01 08:00:00',
    endTime: '2024-10-01 10:30:00',
    useTime: '2小时30分钟',
    status: '1',
    type: '手动清理',
    pointNum: '5000',
    num: '2000',
    user: '张三',
  },
  {
    id: '2',
    startTime: '2024-10-02 09:00:00',
    endTime: '2024-10-02 11:45:00',
    useTime: '2小时45分钟',
    status: '0',
    type: '自动清理',
    pointNum: '7000',
    num: '3500',
    user: '李四',
  },
  {
    id: '3',
    startTime: '2024-10-03 10:00:00',
    endTime: '2024-10-03 12:15:00',
    useTime: '2小时15分钟',
    status: '1',
    type: '手动清理',
    pointNum: '6000',
    num: '3000',
    user: '王五',
  },
  {
    id: '4',
    startTime: '2024-10-04 11:00:00',
    endTime: '2024-10-04 13:20:00',
    useTime: '2小时20分钟',
    status: '1',
    type: '自动清理',
    pointNum: '4500',
    num: '2250',
    user: '赵六',
  },
  {
    id: '5',
    startTime: '2024-10-05 12:00:00',
    endTime: '2024-10-05 14:30:00',
    useTime: '2小时30分钟',
    status: '1',
    type: '手动清理',
    pointNum: '5500',
    num: '2750',
    user: '孙七',
  },
];
